GNUNET-HELLO(1)

NAME
gnunet-hello - import/export print HELLOs

SYNOPSIS
gnunet-hello [-c FILENAME | --config=FILENAME] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-i | --import-hello] [-e | --export-hello] [-b | --binary] [-D | --dump-hellos] [-E TIME | --expiration=TIME] [-v | --version] [-V | --verbose]

DESCRIPTION
gnunet-hello is a tool to import/export and print known HELLOs.

-c FILENAME | --config=FILENAME
    Configuration file to use.

-h | --help
    Print the help page.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Change the loglevel. Possible values for LOGLEVEL are ERROR, WARNING, INFO and DEBUG.

-i | --import-hello
    Import a HELLO (into the peerstore and make it available to core). Reads from stdin.

-b | --binary
    Output in binary format (for use with `--export').

-e | --export-hello
    Print a freshly signed HELLO URI for our peer.

-D | --dump-hellos
    Print all known HELLOs (peer IDs and addresses). These are only all known, and not necessarily connected peers.

-E TIME | --expiration=TIME
    Specifies expiration time of hello to export; format is relative time, i.e "1 h" or "7 d 30 m". Supported units are "ms", "s", "min" or "minutes", "h" (hours), "d" (days) and "a" (years).

-v | --version
    Print the version number.

-V | --verbose
    Be verbose.

SEE ALSO
gnunet-transport(1)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.